%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gnome-dvb-daemon
Version:	0.1.21
Release:	1%{?dist}
Summary:	Digital Television manager

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://live.gnome.org/DVBDaemon
Source0:	http://launchpad.net/gnome-dvb-daemon/trunk/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	gstreamer-plugins-good
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gstreamer-plugins-bad-free
# Daemon
BuildRequires:	dbus-glib-devel libgee-devel sqlite-devel gstreamer-rtsp-devel libgudev1-devel
# UI
BuildRequires:	python-devel gstreamer-python-devel pygtk2-devel dbus-python
# Plugin
BuildRequires:	totem-devel

Requires:	hicolor-icon-theme
Requires:	pygtk2 gstreamer-python
Requires:	gstreamer-plugins-bad-free
# For initial tuning data
Requires:	dvb-apps

%description
gnome-dvb-daemon contains a daemon responsible for handling Digital Television
adapters, including recording, listing programs schedules and scanning for
channels.

This package also contains a Totem plugin for the movie player and a plugin
for sharing recordings and live TV over UPNP using Rygel.

%prep
%setup -q

%build
%configure --enable-totem-plugin=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/dbus-1/services/org.gnome.DVB.service
%{_datadir}/dbus-1/services/org.gnome.UPnP.MediaServer1.DVBDaemon.service
%{_datadir}/dbus-1/services/org.gnome.UPnP.MediaServer2.DVBDaemon.service
# So as not to require Totem itself
%dir %{_libdir}/totem/
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/dvb-daemon/
%{_datadir}/icons/hicolor/*/apps/*.*

%changelog
* Tue Sep 07 2010 Bastien Nocera <bnocera@redhat.com> 0.1.21-1
- Update to 0.1.21

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.1.20-4
- Now the package is in, we re-enable the disabled bits

* Fri Jul 30 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.1.20-3
- Need to bootstrap against itself. Since totem requires this package, we
  disable the totem plugin for now. 

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 22 2010 Bastien Nocera <bnocera@redhat.com> 0.1.20-1
- Update to 0.1.20

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.19-2
- Remove bizarre white spaces to be real ones

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.19-1
- Update to 0.1.19

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.18-1
- Update to 0.1.18

* Thu Mar 18 2010 Bastien Nocera <bnocera@redhat.com> 0.1.16-1
- Update to 0.1.16

* Tue Mar 09 2010 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Update to 0.1.15

* Tue Mar 02 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-4
- Own the totem plugins directory as well

* Wed Feb 24 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-3
- Fix a few comments from the review

* Mon Feb 01 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-2
- Remove gstreamer-plugins-flumpegdemux requires

* Thu Dec 24 2009 Bastien Nocera <bnocera@redhat.com> 0.1.14-1
- Update to 0.1.14
- Add dvb-apps for initial tuning data

* Wed Dec 16 2009 Bastien Nocera <bnocera@redhat.com> 0.1.13-1
- Update to 0.1.13

* Thu Apr 30 2009 Bastien Nocera <bnocera@redhat.com> 0.1.5-1
- First package

